package com.tencent.liteav.demo.player.util;

import com.tencent.liteav.demo.superplayer.SuperPlayerModel;

import java.util.ArrayList;
import java.util.List;

public class SuperPlayerModelProvider {
    private SuperPlayerModelProvider() {
    }

    public static List<SuperPlayerModel> getList() {
        List<SuperPlayerModel> list = new ArrayList<>();

        for (int i = 0; i < 90; i++) {
            SuperPlayerModel model = new SuperPlayerModel();
            model.title = "测试视频" + i;
            model.duration = 1222;
            model.isEnableCache = true;
            model.url = "https://v26-web.douyinvod.com/802dec176de7e625a42389f1b06ff316/62fdfbac/video/tos/cn/tos-cn-ve-15c001-alinc2/c25dd934970346678458d085b01772a3/?a=6383&ch=0&cr=0&dr=0&cd=0%7C0%7C0%7C0&cv=1&br=1374&bt=1374&cs=0&ds=3&ft=X1nbLXvvBQ3AUq8yq8Z.wNnOYZlc_UI7F2bLtM40xiZm&mime_type=video_mp4&qs=0&rc=Zzo7N2k4O2Q7aTg8ZWQ4N0Bpajc4dzo6Zng6ZDMzNGkzM0BhYF9gNDNgX2MxXmBjYzJeYSNhbzVhcjRnNWBgLS1kLS9zcw%3D%3D";
            if (i % 2 == 0) {
                model.cover = "https://p9-pc-sign.douyinpic.com/tos-cn-p-0015/57aaf7f5975247e09c3df35e152055e4_1654159193~tplv-dy-360p.jpeg?biz_tag=pcweb_cover&from=4257465056&se=false&x-expires=1662015600&x-signature=0uL3qAHjGGcvaNmDuopeSCKdfm8%3D";
            }
            list.add(model);
        }

        list.get(list.size()-1).isLast = true;
        return list;
    }
}
